#! /usr/bin/env python

import roslib; roslib.load_manifest('pr2_dremel_server')
import rospy
import actionlib
import math
import copy

import pr2_dremel_server.msg as action_msg
import geometry_msgs.msg


        
    
if __name__ == '__main__':
    rospy.init_node('dremel_plotter_test_clietn')
    
    
    goal = action_msg.CarveSegmentsGoal()
    point = geometry_msgs.msg.Point()
    point.x = 0.55
    point.y = -0.01
    seg1 = action_msg.Segment()
    seg1.points.append(copy.deepcopy(point))
    point.y = 0.01
    seg1.points.append(copy.deepcopy(point))
    
    point.x = 0.5
    seg2 = action_msg.Segment()
    seg2.points.append(copy.deepcopy(point))
    point.y = -0.01
    seg2.points.append(copy.deepcopy(point))
    
    goal.segments.append(seg1)
    goal.segments.append(seg2)
  
    	
    client = actionlib.SimpleActionClient('dremel_actionserver', action_msg.CarveSegmentsAction)
    rospy.loginfo('Waiting for server')
    client.wait_for_server()

    rospy.loginfo('Sending goal')
    client.send_goal(goal)
    rospy.loginfo('Waiting for results')
    client.wait_for_result()
        
        